Package org.pushingpixels.lafwidget.ant

# Class AugmentUpdateTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.pushingpixels.lafwidget.ant.AugmentUpdateTask

All Implemented Interfaces:
  `Cloneable`

public class AugmentUpdateTask extends org.apache.tools.ant.Task
Ant task for augmenting UI delegates. Is based on JiBX ant task (BSD-licensed).

## Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`AugmentUpdateTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addClassPathSet(org.apache.tools.ant.types.FileSet fSet)`
`org.apache.tools.ant.types.Path`
`createClasspath()`
Creates the classpath for this task and returns it.
`void`
`execute()`
`org.apache.tools.ant.types.Path`
`getClasspath()`
Returns the current classpath.
`void`
`init()`
`void`
`setClasspath(org.apache.tools.ant.types.Path classpath)`
Sets the classpath for this task.
`void`
`setPattern(String string)`
`void`
`setVerbose(boolean bool)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AugmentUpdateTask

public AugmentUpdateTask()

## Method Details

### init

public void init() throws org.apache.tools.ant.BuildException

Overrides:
  `init` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

### addClassPathSet

public void addClassPathSet(org.apache.tools.ant.types.FileSet fSet)

Parameters:
  `fSet` -

### getClasspath

public org.apache.tools.ant.types.Path getClasspath()
Returns the current classpath.

Returns:
  The current classpath.

### setClasspath

public void setClasspath(org.apache.tools.ant.types.Path classpath)
Sets the classpath for this task. Multiple calls append the new classpath to the current one, rather than overwriting it.

Parameters:
  `classpath` - The new classpath as a Path object.

### createClasspath

public org.apache.tools.ant.types.Path createClasspath()
Creates the classpath for this task and returns it. If the classpath has already been created, the method just returns that one.

Returns:
  The created classpath.

### setPattern

public void setPattern(String string)

Parameters:
  `string` -

### setVerbose

public void setVerbose(boolean bool)

Parameters:
  `bool` -